function result = pdbSelect(pdb, boolean)
% result = pdbSelect(pdb, boolean) selects atoms from the pdb
% file according to boolean test.  
% It is required that length(pdb) == length(boolean),
% and all structures in the pdb are arrays of this length.

s = fieldnames(pdb);
result = [];
for i = 1:length(s);
    array = getfield(pdb, s{i});
    if size(boolean,1)==size(array,1)
        result = setfield(result, s{i}, array(boolean, :));
    else
        result = setfield(result, s{i}, array);
    end
end